View Issue Details

IDProjectCategoryView StatusLast Update
0035452LazarusLCLpublic2019-08-06 18:26
ReporterSerge AnvarovAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWindowsOSWindowsOS Version
Product Version2.1 (SVN)Product Build 
Target VersionFixed in Version 
Summary0035452: [Patch]Added support for the ofForceShowHidden flag in dialog options for Windows
DescriptionBefore patch: option ofForceShowHidden is ignored
After patch: when ofForceShowHidden in options in open/save dialogs then hidden and system files are displayed
Steps To ReproduceIn the OpenDialog set the ofForceShowHidden in the Options and call Execute
TagsNo tags attached.
Fixed in Revisionr61113
LazTarget-
Widgetset
Attached Files
  • ForceShowHidden.diff (1,159 bytes)
    Index: lcl/interfaces/win32/win32wsdialogs.pp
    ===================================================================
    --- lcl/interfaces/win32/win32wsdialogs.pp	(revision 61055)
    +++ lcl/interfaces/win32/win32wsdialogs.pp	(working copy)
    @@ -605,6 +605,7 @@
         if ofShareAware in Options then Result := Result or OFN_SHAREAWARE;
         if ofShowHelp in Options then Result := Result or OFN_SHOWHELP;
         if ofDontAddToRecent in Options then Result := Result or OFN_DONTADDTORECENT;
    +    if ofForceShowHidden in Options then Result := Result or OFN_FORCESHOWHIDDEN;
       end;
     
       procedure ReplacePipe(var AFilter:string);
    @@ -820,7 +821,6 @@
     FOS_ALLNONSTORAGEITEMS
     FOS_HIDEMRUPLACES
     FOS_HIDEPINNEDPLACES
    -FOS_DONTADDTORECENT
     FOS_DEFAULTNOMINIMODE
     FOS_FORCEPREVIEWPANEON}
     
    @@ -840,6 +840,7 @@
       if ofShareAware in Options then Result := Result or FOS_SHAREAWARE;
       if ofDontAddToRecent in Options then Result := Result or FOS_DONTADDTORECENT;
       if SelectFolder then Result := Result or FOS_PICKFOLDERS;
    +  if ofForceShowHidden in Options then Result := Result or FOS_FORCESHOWHIDDEN;
       { unavailable options:
         ofHideReadOnly
         ofEnableSizing
    
    ForceShowHidden.diff (1,159 bytes)

Activities

Serge Anvarov

2019-04-26 23:39

reporter  

ForceShowHidden.diff (1,159 bytes)
Index: lcl/interfaces/win32/win32wsdialogs.pp
===================================================================
--- lcl/interfaces/win32/win32wsdialogs.pp	(revision 61055)
+++ lcl/interfaces/win32/win32wsdialogs.pp	(working copy)
@@ -605,6 +605,7 @@
     if ofShareAware in Options then Result := Result or OFN_SHAREAWARE;
     if ofShowHelp in Options then Result := Result or OFN_SHOWHELP;
     if ofDontAddToRecent in Options then Result := Result or OFN_DONTADDTORECENT;
+    if ofForceShowHidden in Options then Result := Result or OFN_FORCESHOWHIDDEN;
   end;
 
   procedure ReplacePipe(var AFilter:string);
@@ -820,7 +821,6 @@
 FOS_ALLNONSTORAGEITEMS
 FOS_HIDEMRUPLACES
 FOS_HIDEPINNEDPLACES
-FOS_DONTADDTORECENT
 FOS_DEFAULTNOMINIMODE
 FOS_FORCEPREVIEWPANEON}
 
@@ -840,6 +840,7 @@
   if ofShareAware in Options then Result := Result or FOS_SHAREAWARE;
   if ofDontAddToRecent in Options then Result := Result or FOS_DONTADDTORECENT;
   if SelectFolder then Result := Result or FOS_PICKFOLDERS;
+  if ofForceShowHidden in Options then Result := Result or FOS_FORCESHOWHIDDEN;
   { unavailable options:
     ofHideReadOnly
     ofEnableSizing
ForceShowHidden.diff (1,159 bytes)

Juha Manninen

2019-05-03 17:09

developer   ~0115976

Applied, thanks.

Serge Anvarov

2019-08-06 18:26

reporter   ~0117581

In release 2.0.4

Issue History

Date Modified Username Field Change
2019-04-26 23:39 Serge Anvarov New Issue
2019-04-26 23:39 Serge Anvarov File Added: ForceShowHidden.diff
2019-05-03 17:05 Juha Manninen Assigned To => Juha Manninen
2019-05-03 17:05 Juha Manninen Status new => assigned
2019-05-03 17:09 Juha Manninen Status assigned => resolved
2019-05-03 17:09 Juha Manninen Resolution open => fixed
2019-05-03 17:09 Juha Manninen Fixed in Revision => r61113
2019-05-03 17:09 Juha Manninen LazTarget => -
2019-05-03 17:09 Juha Manninen Note Added: 0115976
2019-08-06 18:26 Serge Anvarov Status resolved => closed
2019-08-06 18:26 Serge Anvarov Note Added: 0117581